<?php

namespace Drp\SimpleCms\Generators;

use Illuminate\Database\Migrations\MigrationCreator as BaseMigrationCreator;

class MigrationCreator extends BaseMigrationCreator
{

    /**
     * Get the migration stub file.
     *
     * @param  string $table
     * @param  boolean $create
     * @return string
     * @SuppressWarnings(unused)
     */
    protected function getStub($table, $create)
    {
        return $this->files->get($this->stubPath() . '/create.stub');
    }

    /**
     * Get the path to the stubs.
     *
     * @return string
     */
    public function stubPath()
    {
        return __DIR__.'/stubs';
    }
}
