<?php

namespace Drp\SimpleCms\Test\Support\Helpers;


use Drp\SimpleCms\Test\Support\Fakes\TestUser;

trait InteractsWithUsers
{
    protected $adminUser;

    protected function actingAsUploader()
    {
        $this->adminUser = new TestUser(false);
        $this->actingAs($this->adminUser);
        return $this;
    }

    protected function actingAsAdmin()
    {
        $this->adminUser = new TestUser(true);
        $this->actingAs($this->adminUser);
        return $this;
    }

    protected function actingAsAdminPreviewer($user = null)
    {
        $this->adminUser = new TestUser(false);
        $this->actingAs($this->adminUser);
        return $this;
    }
}
